from edpconfigprovider import ConfigProvider
from edpconfigprovider.parameters import ProviderParameters


def build_json_config_provider(parameters: ProviderParameters) -> ConfigProvider:
    from .._JsonConfigProvider import JsonConfigProvider

    return JsonConfigProvider(json_path=parameters.get_env("CONFIG_PATH"))
